import { Ref } from '../../config/vue';
import { UISchemaElement } from '@jsonforms/core';
export declare type Nullable<T> = {
    [P in keyof T]: P | null;
};
/**
 * Adds styles, isFocused, appliedOptions and onChange
 */
export declare const useVanillaControl: <I extends {
    control: any;
    handleChange: any;
}>(input: I, adaptTarget?: (target: any) => any) => I & {
    styles: import("../styles").Styles;
    isFocused: Ref<boolean>;
    appliedOptions: Ref<{
        showUnfocusedDescription?: "showUnfocusedDescription" | null | undefined;
        hideRequiredAsterisk?: "hideRequiredAsterisk" | null | undefined;
        focus?: "focus" | null | undefined;
        step?: "step" | null | undefined;
    }>;
    onChange: (event: Event) => void;
};
/**
 * Adds styles and appliedOptions
 */
export declare const useVanillaLayout: <I extends {
    layout: any;
}>(input: I) => I & {
    styles: import("../styles").Styles;
    appliedOptions: Ref<{
        showUnfocusedDescription?: "showUnfocusedDescription" | null | undefined;
        hideRequiredAsterisk?: "hideRequiredAsterisk" | null | undefined;
        focus?: "focus" | null | undefined;
        step?: "step" | null | undefined;
    }>;
};
/**
 * Adds styles, appliedOptions and childUiSchema
 */
export declare const useVanillaArrayControl: <I extends {
    control: any;
}>(input: I) => I & {
    styles: import("../styles").Styles;
    appliedOptions: Ref<{
        showUnfocusedDescription?: "showUnfocusedDescription" | null | undefined;
        hideRequiredAsterisk?: "hideRequiredAsterisk" | null | undefined;
        focus?: "focus" | null | undefined;
        step?: "step" | null | undefined;
    }>;
    childUiSchema: Ref<UISchemaElement | undefined>;
    childLabelForIndex: (index: number) => string;
};
